Drop the petition_data table from production
Closed, ResolvedPublic

Description

Following the disabling and removal of the extension from production in T208081: Undeploy Petition extension, we should drop the data.

From there:

The information in the database table petition_data should be removed, it contains PII such as email addresses and we have no further need for it.

(Marking as stalled until the child task is resolved.)

Jdforrester-WMF changed the task status from Open to Stalled.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 7 2018, 6:29 PM
Pcoombe added a subscriber: Pcoombe.Nov 7 2018, 7:14 PM
Jdforrester-WMF changed the task status from Stalled to Open.

Extension is now totally removed from prod. Delete away.

For the record, this table is only present on s3 for the following wikis:

foundationwiki
testwiki
root@db1075.eqiad.wmnet[foundationwiki]> select count(*) from testwiki.petition_data;
+----------+
| count(*) |
+----------+
|        0 |
+----------+
1 row in set (0.00 sec)

root@db1075.eqiad.wmnet[foundationwiki]> select count(*) from foundationwiki.petition_data;
+----------+
| count(*) |
+----------+
|     3895 |
+----------+
1 row in set (0.00 sec)

Mentioned in SAL (#wikimedia-operations) [2018-11-19T09:46:31Z] <marostegui> Drop empty testwiki.petition_data from db1075 with replication - T208979

Mentioned in SAL (#wikimedia-operations) [2018-11-19T09:48:54Z] <marostegui> Rename table foundationwiki.petition_data on db1078 - T208979

Marostegui moved this task from Backlog to In progress on the DBA board.

Table dropped from testwiki as it was empty.

I have also renamed it on foundationwiki db1078 to make sure nothing reads from it. I will leave it like that for a few days before dropping it for good.

root@db1078.eqiad.wmnet[(none)]> use foundationwiki;
Database changed
root@db1078.eqiad.wmnet[foundationwiki]> show create table petition_data;
+---------------+----------------------------------------------------------------------------------------------------------------------
| Table         | Create Table
+---------------+----------------------------------------------------------------------------------------------------------------------
| petition_data | CREATE TABLE `petition_data` (
  `pt_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pt_petitionname` varbinary(255) DEFAULT NULL,
  `pt_source` varbinary(255) DEFAULT NULL,
  `pt_name` varbinary(255) DEFAULT NULL,
  `pt_email` varbinary(255) DEFAULT NULL,
  `pt_country` varbinary(2) DEFAULT NULL,
  `pt_message` blob,
  `pt_share` tinyint(1) DEFAULT NULL,
  `pt_timestamp` varbinary(14) DEFAULT NULL,
  PRIMARY KEY (`pt_id`),
  KEY `pt_petitionname` (`pt_petitionname`)
) ENGINE=InnoDB AUTO_INCREMENT=3896 DEFAULT CHARSET=binary |
+---------------+----------------------------------------------------------------------------------------------------------------------
1 row in set (0.00 sec)

root@db1078.eqiad.wmnet[foundationwiki]> set session sql_log_bin=0;
Query OK, 0 rows affected (0.00 sec)

root@db1078.eqiad.wmnet[foundationwiki]> rename table petition_data to T208979_petition_data;
Query OK, 0 rows affected (0.01 sec)

root@db1078.eqiad.wmnet[foundationwiki]>

Mentioned in SAL (#wikimedia-operations) [2018-11-21T07:10:11Z] <marostegui> Drop foundationwiki.petition_data from s3 master (db1075) with replication - T208979

Marostegui closed this task as Resolved.Wed, Nov 21, 7:10 AM

Table dropped on s3 master with replication
I have left a backup at: db1075:/srv/tmp/T208979/foundationwiki_petition_data.sql